## org.eclipse.emf.cdo.server
Interface IStoreChunkReader

All Known Subinterfaces:
  IDBStoreChunkReader, IHibernateStoreChunkReader

All Known Implementing Classes:
  StoreChunkReader

    public interface IStoreChunkReader

Nested Class Summary
`static class` `IStoreChunkReader.Chunk`

Method Summary
`void` `addRangedChunk(int fromIndex, int toIndex)`
`void` `addSimpleChunk(int index)`
`java.util.List<IStoreChunkReader.Chunk>` `executeRead()`
`IStoreAccessor` `getAccessor()`
`org.eclipse.emf.ecore.EStructuralFeature` `getFeature()`
`CDORevision` `getRevision()`

Method Detail

### getAccessor

    IStoreAccessor getAccessor()

  Since:
    2.0

### getRevision

    CDORevision getRevision()

### getFeature

    org.eclipse.emf.ecore.EStructuralFeature getFeature()

  Since:
    2.0

### addSimpleChunk

    void addSimpleChunk(int index)

### addRangedChunk

    void addRangedChunk(int fromIndex,
                        int toIndex)

  Parameters:
    `fromIndex` - Inclusive value.
    `toIndex` - Exclusive value.

### executeRead

    java.util.List<IStoreChunkReader.Chunk> executeRead()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.